import 'package:hl_lieferservice/util.dart';

class LocalDocuFrameConfiguration {
  String backendUrl;

  LocalDocuFrameConfiguration({required this.backendUrl});

  Map<String, dynamic> toJson() {
    return {"backendUrl": backendUrl};
  }

  factory LocalDocuFrameConfiguration.fromJson(Map<String, dynamic> json) {
    return LocalDocuFrameConfiguration(
      backendUrl: getValueOrThrowIfNotPresent("backendUrl", json),
    );
  }
}

class ErpFrameService {
  ErpFrameService({required this.backendUrl});

  final String backendUrl;
}
